
/**
 * Title:        Video Conference<p>
 * Description:  <p>
 * Copyright:    Copyright (c) Konrad Rzeszutek<p>
 * Company:      <p>
 * @author Konrad Rzeszutek
 * @version $Id: Main.java,v 1.5 2000/11/16 05:53:48 konrad Exp $
 */
//package media;
import media.gui.*;
import media.config.*;
import media.network.*;

public class Main {

  public Main() {

      OcularBase ocularbase = new OcularBase();
      ocularbase.setupProgressBar();


      Config config = null;
      try {
        config = new Config(ocularbase);
      } catch (Exception e) {
        if (ocularbase.error(e.getMessage()))
          System.exit(0);
      }

      try {
        AudioReceiver audio = new AudioReceiver(ocularbase, config);
        VideoReceiver video = new VideoReceiver(ocularbase, config);
        VideoSender video_s = new VideoSender(ocularbase, config);
        AudioSender audio_s = new AudioSender(ocularbase, config);
        Network network = new Network(ocularbase, config, audio, video, audio_s, video_s);

        ocularbase.registerNetwork(network);
        ocularbase.registerConfig(config);

	ClientPart client = new ClientPart(network);
      } catch (Exception e) {

        if (ocularbase.error(e.getMessage()))
          System.exit(0);
      }

      ocularbase.resetProgressBar();

      try {
        ocularbase.setupGUI();
      } catch (Exception e) { // Can only happend if the config.SCHEME_OBJ
                              // hasn't been initialized.
        if (ocularbase.error(e.getMessage()))
          System.exit(0);
      }
      ocularbase.setupFinalize();

  }

  public static void main(String[] a) {

    Main m = new Main();

  }
}
