import java.io.*;
import java.rmi.*;
import net.jini.core.lookup.*;
import net.jini.discovery.*;
import net.jini.core.discovery.*;
import net.jini.core.event.*;
import net.jini.core.lease.*;
import com.sun.jini.lease.*;
import java.util.*;
import java.rmi.server.*;
import media.network.*;
import media.common.*;

public class VideoConferenceListener extends UnicastRemoteObject implements VideoConferenceListenerInterface,Serializable{

    //Private Variable Declaration
    private ServiceTemplate template;
    private Network net;
    
    public VideoConferenceListener(ServiceTemplate template, Network net) throws java.rmi.RemoteException{
	this.template = template;
	this.net = net;
    }

    public void notify(RemoteEvent e) throws UnknownEventException,java.rmi.RemoteException{
	VideoConference video =null;
	String hostInfo = null;	
	ServiceRegistrar registrar = (ServiceRegistrar)e.getSource( );
	try{
	    ServiceMatches services = registrar.lookup(template,Integer.MAX_VALUE);
	    // get the locator associated with this service
	    LookupLocator locator = registrar.getLocator( );
	    for(int j =0; j< services.items.length; j++){
		if(services.items[j].service != null){
		    video = (VideoConference) services.items[j].service;
		    hostInfo = video.revealHost( );		   
		    User newUser = new User(hostInfo);		
		    net.addUser(newUser);		    
		}//end if
	    }//end for
	}catch(Exception ex){
	    System.out.println("OOPS");
	}
    }
}
