
/**
 * Title:        Simple holder of information relating to schemes
 * Description:
 * Copyright:    Copyright (c) Konrad Rzeszutek
 * @author
 * @version $Id: Scheme.java,v 1.6 2000/11/14 05:26:42 konrad Exp $
 */
package media.config;

import javax.swing.ImageIcon;
import java.awt.Rectangle;
import java.util.StringTokenizer;
/**
 * Represents a single scheme for the GUI.
 */
public class Scheme {

  /**
   * Initialize the Scheme object. All the parameters are
   * required.
   */
 public Scheme(String name,
               String configure_image,
               String background_image,
               String connect_image,
               String disconnect_image,
               String setup_image,
               String quit_image,
               String busy_image,
               String available_image,
               String na_image,
               String connect_ok_image,
               String connect_cancel_image,
               int connect_location_x,
               int connect_location_y,
               int disconnect_location_x,
               int disconnect_location_y,
               int setup_location_x,
               int setup_location_y,
               int quit_location_x,
               int quit_location_y,
               int player_location_x,
               int player_location_y,
               int status_location_x,
               int status_location_y,
               int connect_ok_x,
               int connect_ok_y,
               int connect_cancel_x,
               int connect_cancel_y) {

      // This is cheesy, but who cares?
      // Output somewhere?
     this.name = name;
     configure_icon = new ImageIcon(configure_image);
     background_icon = new ImageIcon(background_image);
     connect_icon = new ImageIcon(connect_image);
     disconnect_icon = new ImageIcon(disconnect_image);
     setup_icon = new ImageIcon(setup_image);
     quit_icon = new ImageIcon(quit_image);
     busy_icon = new ImageIcon(busy_image);
     available_icon = new ImageIcon(available_image);
     na_icon = new ImageIcon(na_image);
     // konrad 11/08 added:
     connect_ok_icon = new ImageIcon(connect_ok_image);
     connect_cancel_icon = new ImageIcon(connect_cancel_image);
     connect_ok_boundary = parseStr2Int(connect_ok_x,connect_ok_y,connect_ok_icon);
     connect_cancel_boundary = parseStr2Int(connect_cancel_x,connect_cancel_y, connect_cancel_icon);

     connect_boundary = parseStr2Int(connect_location_x,connect_location_y,connect_icon);
     disconnect_boundary = parseStr2Int(disconnect_location_x,disconnect_location_y,disconnect_icon);
     setup_boundary = parseStr2Int(setup_location_x,setup_location_y,setup_icon);
     quit_boundary = parseStr2Int(quit_location_x,quit_location_y,quit_icon);

     player_boundary = parseStr2Int(player_location_x,player_location_y);
     status_boundary = parseStr2Int(status_location_x,status_location_y);
 }

 // Our 'holders' of important information.
 public String name; // added 11/02
 public ImageIcon configure_icon;
 public ImageIcon background_icon;
 public ImageIcon connect_icon;
 public ImageIcon disconnect_icon;
 public ImageIcon setup_icon;
 public ImageIcon quit_icon;
 public ImageIcon busy_icon;
 public ImageIcon available_icon;
 public ImageIcon na_icon;
 public Rectangle connect_boundary;
 public Rectangle disconnect_boundary;
 public Rectangle setup_boundary;
 public Rectangle quit_boundary;
 public Rectangle player_boundary;
 public Rectangle status_boundary;
 // 11/08 added:
 public ImageIcon connect_ok_icon;
 public ImageIcon connect_cancel_icon;
 public Rectangle connect_ok_boundary;
 public Rectangle connect_cancel_boundary;

 /**
  * Evil parser. Parses int <i>x</i>, <i>y</i>, and ImageIcon <i>icon</i>
  * into a Rectangle object.
  */
 private Rectangle parseStr2Int(int x, int y, ImageIcon icon) {


     return new Rectangle(x,
                          y,
                          icon.getIconWidth(),
                          icon.getIconHeight());
  }
  /**
   * Evil parser. Parses int <i>x</i>, <i>y</i>
    * into a Rectangle object.
   */
 private Rectangle parseStr2Int(int x, int y) {

     return new Rectangle(x, y,0,0);
  }


}